[page:OrbitControls] →

# [name]

[name] is intended for transforming a camera over a map from bird's eye perspective. The class shares its implementation with [page:OrbitControls] but uses a specific preset for mouse/touch interaction and disables screen space panning by default.

## Import

[name] is an add-on, and must be imported explicitly. See [link:#manual/introduction/Installation Installation / Addons].

`import { MapControls } from 'three/addons/controls/MapControls.js';`

## Code Example

`const renderer = new THREE.WebGLRenderer(); renderer.setSize( window.innerWidth, window.innerHeight ); document.body.appendChild( renderer.domElement ); const scene = new THREE.Scene(); const camera = new THREE.PerspectiveCamera( 45, window.innerWidth / window.innerHeight, 1, 10000 ); camera.position.set( 0, 20, 100 ); const controls = new MapControls( camera, renderer.domElement ); controls.enableDamping = true; function animate() { requestAnimationFrame( animate ); // required if controls.enableDamping or controls.autoRotate are set to true controls.update(); renderer.render( scene, camera ); }`

## Examples

[example:misc_controls_map misc / controls / map ]

## Constructor

### [name]( [param:Camera object], [param:HTMLDOMElement domElement] )

[page:Camera object]: (required) The camera to be controlled. The camera must not be a child of another object, unless that object is the scene itself.
[page:HTMLDOMElement domElement]: The HTML element used for event listeners.

## Events

See the base [page:OrbitControls] class for common events.

## Properties

See the base [page:OrbitControls] class for common properties.

### [property:Object mouseButtons]

This object contains references to the mouse actions used by the controls. `controls.mouseButtons = { LEFT: THREE.MOUSE.PAN, MIDDLE: THREE.MOUSE.DOLLY, RIGHT: THREE.MOUSE.ROTATE }`

### [property:Boolean screenSpacePanning]

Defines how the camera's position is translated when panning. If true, the camera pans in screen space. Otherwise, the camera pans in the plane orthogonal to the camera's up direction. Default is `false`.

### [property:Object touches]

This object contains references to the touch actions used by the controls. `controls.touches = { ONE: THREE.TOUCH.PAN, TWO: THREE.TOUCH.DOLLY_ROTATE }`

## Methods

See the base [page:OrbitControls] class for common methods.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/controls/MapControls.js examples/jsm/controls/MapControls.js]